@echo off
setlocal
cls
if not exist .\BDRVCOPY.BAT goto FILENOTEXIST
echo.
echo BDRVCOPY.BAT
echo.
echo This procedure creates the $OEM$ directory structure and copies the files
echo necessary to install the Broadcom 570X adapter drivers during an unattended
echo installation of the operating system.  It supports Microsoft Windows NT 4.0, 
echo Microsoft Windows 2000, and Microsoft Windows XP.  This procedure also 
echo copies the files necessary to install Management Applications.
echo.
pause

rem *******************************************************************************
rem %1 = Destination
rem %2 = OS
rem *******************************************************************************

if "%2"=="w2k" goto Win2K
if "%2"=="W2K" goto Win2K
if "%2"=="xp"  goto WinXP
if "%2"=="XP"  goto WinXP
if "%2"=="nt"  goto WinNT
if "%2"=="NT"  goto WinNT
goto Usage


rem *******************************************************************************
rem 	WIN2K file copies
rem *******************************************************************************
:Win2K
echo *** Win2K file copy starts

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\$1
md %1\$oem$\$1\drivers
md %1\$oem$\$1\drivers\BCM570X

rem *******************************************************************************
rem 	Copy driver files
rem *******************************************************************************
copy /V /Y ..\b57w2k.* %1\$oem$\$1\drivers\BCM570X
copy /V /Y ..\b57win32.* %1\$oem$\$1\drivers\BCM570X

rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy /V /Y Win2K\Unattend.txt %1

echo *** Win2K file copy ends
goto end

rem *******************************************************************************
rem 	WINXP file copies
rem *******************************************************************************
:WinXP
echo *** WinXP file copy starts

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\$1
md %1\$oem$\$1\drivers
md %1\$oem$\$1\drivers\BCM570X

rem *******************************************************************************
rem 	Copy driver files
rem *******************************************************************************
copy /V /Y ..\b57xp32.* %1\$oem$\$1\drivers\BCM570X
copy /V /Y ..\b57win32.* %1\$oem$\$1\drivers\BCM570X


rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy /V /Y XP32\Unattend.txt %1

echo *** WinXP file copy ends
goto end

rem *******************************************************************************
rem 	WINNT file copies
rem *******************************************************************************
:WinNT
echo *** WinNT file copy starts

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\drivers
md %1\$oem$\drivers\BCM570X

rem *******************************************************************************
rem 	Copy driver files
rem *******************************************************************************
copy /V /Y ..\b57dtect.dll %1\$oem$\drivers\BCM570X
copy /V /Y ..\b57nt4.sys %1\$oem$\drivers\BCM570X
copy /V /Y ..\b57nt4.hlp %1\$oem$\drivers\BCM570X
copy /V /Y ..\oemsetup.inf %1\$oem$\drivers\BCM570X

rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy /V /Y Winnt\Unattend.txt %1

echo *** WinNT file copy ends
goto end

:FILENOTEXIST
echo.
echo.
echo BDRVCOPY must be run from the \Unattend directory on the CD or CD image to
echo work properly.  
echo.
echo Change directories to the \Unattend directory before running BDRVCOPY.
echo.
echo.

:Usage
echo.
echo Usage syntax:
echo ------------
echo.
echo BDRVCOPY [Destination] [OS]
echo where [destination] is the drive letter and path (such as Z:)
echo       Do not add a trailing backslash (\) to the destination path. 
echo       [OS] is the OS family
echo       W2K = Microsoft Windows 2000
echo       NT  = Microsoft Windows NT
echo       XP  = Microsoft Windows XP
echo.

:end
endlocal

